#include<stdio.h>
#include<math.h>
int main(){
	int N, i, j, H, P;
	scanf("Unesite br dementora: %d", N);
	printf("Oko harija su %d dementora", N);
	printf("\n");
	i=5;
	j=-5;
	H=0;
	while(H!=i){
		while(H!=j){
			printf("koji ti je sledecei korak? (Cini na sever = 1, Cini na jug = 2, Idi napred = 3)\n");
			scanf("%d", &P);
			if(P = 1){
				N=N-1;
				printf("Dementor sa severa je porazen!\n");
				j++;
				printf("dementor je sad na poyiciji %d\n", j);
			}else if(P = 2){
				N=N-1;
				printf("Dementor sa juga je porazen!\n");
				i--;
				printf("dementor je sad na poyiciji %d\n", i);
			}else if(P = 3){
				H++;
				printf("Ostalo je %d dementora\n", N);
			}else{
				printf("Moras izabarati jednu od opcija!\n");
			}
			if(N == 0){
				return 0;
			}
			/*if(H == i){
				printf("Hari je uhvacen");
			}
			if(H == j){
				printf("Hari je uhvacen");
			}*/
		}
	}
}